Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTextPageCharInfo Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithChar_info:
| Constructor, with another character information object. More...
(id) | - initWithFont:flag:font_size:origin_x:origin_y:char_box:char_outbox:matrix:
| Constructor, with parameters. More...
(void) | - set:flag:font_size:origin_x:origin_y:char_box:char_outbox:matrix:
| Set value. More...

## Properties
FSRectF * | char_box
| The glyph bounding box in page space.
FSRectF * | char_outbox
| The typographic(display and printing) bounding box in page space.
FSTextPageCharInfoTextCharFlag | flag
| Flags to indicate which properties of textpage character flag are meaningful. More...
FSFont * | font
| A font for character.
float | font_size
| Font size for character. More...
FSMatrix2D * | matrix
| The matrix of the character.
float | origin_x
| The x-coordinate of the origin position.
float | origin_y
| The y-coordinate of the origin position.

## Detailed Description

This class represents textpage character information.

## Method Documentation

## ◆ initWithChar_info:()

- (id) initWithChar_info: |  | (FSTextPageCharInfo*) | char_info |

Constructor, with another character information object.

Parameters

  [in] | char_info | Another character information object.

## ◆ initWithFont:flag:font_size:origin_x:origin_y:char_box:char_outbox:matrix:()

- (id) initWithFont: |  | (FSFont*) | font
flag: |  | (FSTextPageCharInfoTextCharFlag) | flag
font_size: |  | (float) | font_size
origin_x: |  | (float) | origin_x
origin_y: |  | (float) | origin_y
char_box: |  | (FSRectF*) | char_box
char_outbox: |  | (FSRectF*) | char_outbox
matrix: |  | (FSMatrix2D*) | matrix

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from FSTextPageCharInfoNormal and this should be one of these values except FSTextPageCharInfoUnknown.
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

## ◆ set:flag:font_size:origin_x:origin_y:char_box:char_outbox:matrix:()

- (void) set: |  | (FSFont*) | font
flag: |  | (FSTextPageCharInfoTextCharFlag) | flag
font_size: |  | (float) | font_size
origin_x: |  | (float) | origin_x
origin_y: |  | (float) | origin_y
char_box: |  | (FSRectF*) | char_box
char_outbox: |  | (FSRectF*) | char_outbox
matrix: |  | (FSMatrix2D*) | matrix

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | flag | Flags to indicate which properties of textpage character flag are meaningful. Please refer to values starting from FSTextPageCharInfoNormal and this should be one of these values except FSTextPageCharInfoUnknown.
  [in] | font_size | Font size. This should be a positive value.
  [in] | origin_x | The x-coordinate of the origin position.
  [in] | origin_y | The y-coordinate of the origin position.
  [in] | char_box | The glyph bounding box in page space.
  [in] | char_outbox | The typographic (display and printing) bounding box in page space. The width is advance width, and the height is the sum of the ascent and descent.
  [in] | matrix | The matrix.

Returns
  None.

## Property Documentation

## ◆ flag

- (FSTextPageCharInfoTextCharFlag) flag
| read write nonatomic assign

Flags to indicate which properties of textpage character flag are meaningful.

Please refer to values starting from FSTextPageCharInfoNormal and this should be one of these values.

## ◆ font_size

- (float) font_size
| read write nonatomic assign

Font size for character.

This value would a positive value.